Class UmlBaseActivityPartition

Declaration :

- C++ : class UmlBaseActivityPartition : public UmlItem
- Java : package abstract class UmlBaseActivityPartition extends UmlItem

Directly inherited by : UmlActivityPartition

Artifact : UmlBaseActivityPartition

Operation create

returns a new activity partition named 's' created under 'parent'
In case it cannot be created (the name is already used or
invalid, 'parent' cannot contain it etc ...) return 0 in C++
and produce a RuntimeException in Java

Declaration :

- Uml : static, + create(inout parent : UmlItem, inout s : str) : UmlActivityPartition, exceptions : RuntimeException
- C++ : public: static UmlActivityPartition * create(UmlItem * parent, const char * s)
- Java : public static UmlActivityPartition create(UmlItem parent, String s) throws RuntimeException

Operation kind

returns the kind of the item

Declaration :

- Uml : + kind() : anItemKind
- C++ : public: virtual anItemKind kind()
- Java : public anItemKind kind()

Operation UmlBaseActivityPartition

the constructor, do not call it yourself !!!!!!!!!!

Declaration :

- Uml : # UmlBaseActivityPartition(in id : item_id, in s : string) :
- C++ : protected: UmlBaseActivityPartition(void * id, const QCString & s) : UmlItem(id, s)
- Java : protected UmlBaseActivityPartition(long id, String s)

Operation associatedDiagram

returns the optional associated diagram

Declaration :

- Uml : + associatedDiagram() : UmlActivityDiagram
- C++ : public: UmlActivityDiagram * associatedDiagram()
- Java : public UmlActivityDiagram associatedDiagram()

Operation set_AssociatedDiagram

sets the associated diagram, arg may be null to unset it
On error return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : + set_AssociatedDiagram(in d : UmlActivityDiagram) : bool, exceptions : RuntimeException
- C++ : public: bool set_AssociatedDiagram(UmlActivityDiagram * d)
- Java : public void set_AssociatedDiagram(UmlActivityDiagram d) throws RuntimeException

Operation isDimension

return the return the isDimension attribute

Declaration :

- Uml : + isDimension() : bool
- C++ : public: bool isDimension()
- Java : public boolean isDimension()

Operation set_isDimension

set the isDimension attribute
On error return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : + set_isDimension(in v : bool) : bool, exceptions : RuntimeException
- C++ : public: bool set_isDimension(bool v)
- Java : public void set_isDimension(boolean v) throws RuntimeException

Operation isExternal

return the return the isExternal attribute

Declaration :

- Uml : + isExternal() : bool
- C++ : public: bool isExternal()
- Java : public boolean isExternal()

Operation set_isExternal

set the isExternal attribute
On error return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : + set_isExternal(in v : bool) : bool, exceptions : RuntimeException
- C++ : public: bool set_isExternal(bool v)
- Java : public void set_isExternal(boolean v) throws RuntimeException

Operation represents

return the represents

Declaration :

- Uml : + represents() : UmlItem
- C++ : public: UmlItem * represents()
- Java : public UmlItem represents()

Operation set_Represents

set the represents
On error return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : + set_Represents(in v : UmlItem) : bool, exceptions : RuntimeException
- C++ : public: bool set_Represents(UmlItem * v)
- Java : public void set_Represents(UmlItem v) throws RuntimeException

Relation _assoc_diagram (<unidirectional association>)

Declaration :

- Uml : - _assoc_diagram : UmlActivityDiagram
- C++ : private: UmlActivityDiagram * _assoc_diagram
- Java : private UmlActivityDiagram _assoc_diagram

Attribute _dimension

Declaration :

- Uml : - _dimension : bool
- C++ : private: bool _dimension
- Java : private boolean _dimension

Attribute _external

Declaration :

- Uml : - _external : bool
- C++ : private: bool _external
- Java : private boolean _external

Relation _represents (<unidirectional association>)

Declaration :

- Uml : - _represents : UmlItem
- C++ : private: UmlItem * _represents
- Java : private UmlItem _represents

Operation read_uml_

Declaration :

- Uml : # read_uml_() : void
- C++ : protected: virtual void read_uml_()
- Java : protected void read_uml_()

All public operations : apply , applyStereotype , associatedDiagram , children , childrenVisible , create , defined_ , deleteIt , description , getIdentifier , identifier_ , isDimension , isExternal , isMarked , isToolRunning , isWritable , kind , kind , markedItems , moveAfter , name , parent , properties , propertyValue , referencedBy , represents , set_AssociatedDiagram , set_childrenVisible , set_Description , set_isDimension , set_isExternal , set_isMarked , set_Name , set_PropertyValue , set_Represents , set_Stereotype , stereotype , supportFile , unload